#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 wide-word
version:              0.1.4.0
visibility:           public
id:                   wide-word-0.1.4.0-KpaLjvTEjgc2nF92F8Y6nz
key:                  wide-word-0.1.4.0-KpaLjvTEjgc2nF92F8Y6nz
license:              BSD-2-Clause
copyright:
    Copyright (c) 2017 Erik de Castro Lopo <erikd@mega-nerd.com>

maintainer:           erikd@mega-nerd.com
author:               Erik de Castro Lopo
stability:            provisional
homepage:             https://github.com/erikd/wide-word
synopsis:
    Data types for large but fixed width signed and unsigned integers

description:
    A library to provide data types for large (ie > 64 bits) but fixed width signed
    and unsigned integers with the usual typeclass instances to allow them to be used
    interchangeably with `Word64`.

    The types and operations are coded to be as fast as possible using strictness
    annotations, `INLINEABLE` pragmas and unboxed values and operations where
    appropriate.

category:             Data
abi:                  74b8d69dc1539924e5fda3d876585fde
exposed:              True
exposed-modules:
    Data.WideWord Data.WideWord.Int128 Data.WideWord.Word128
    Data.WideWord.Word256 Data.WideWord.Word64

hidden-modules:       Data.WideWord.Compat
import-dirs:          /usr/lib/ghc-9.0.2/site-local/wide-word-0.1.4.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/wide-word-0.1.4.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-wide-word
hs-libraries:         HSwide-word-0.1.4.0-KpaLjvTEjgc2nF92F8Y6nz
depends:
    base-4.15.1.0 deepseq-1.4.5.0 ghc-prim-0.7.0
    hashable-1.4.1.0-AcdXFBpn7hj19WgkTwKwuf
    primitive-0.7.4.0-A5hJyO7gfJjKCazGezxOm3

haddock-interfaces:   /usr/share/doc/haskell-wide-word/html/wide-word.haddock
haddock-html:         /usr/share/doc/haskell-wide-word/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

